## prelude-hash prelude-hash |

## Functions

int | prelude_hash_new ()
int | prelude_hash_new2 ()
void | prelude_hash_destroy ()
int | prelude_hash_set ()
void * | prelude_hash_get ()
int | prelude_hash_elem_destroy ()
void | prelude_hash_iterate ()

## Types and Values

typedef | prelude_hash_t

## Description

## Functions

### prelude_hash_new ()

    int
    prelude_hash_new (prelude_hash_t **hash,
                      unsigned int (*hash_func) (const void *),
                      int (*key_cmp_func) (const void *, const void *),
                      void (*key_destroy_func) (void *),
                      void (*value_destroy_func) (void *));

### prelude_hash_new2 ()

    int
    prelude_hash_new2 (prelude_hash_t **hash,
                       size_t size,
                       unsigned int (*hash_func) (const void *),
                       int (*key_cmp_func) (const void *, const void *),
                       void (*key_destroy_func) (void *),
                       void (*value_destroy_func) (void *));

### prelude_hash_destroy ()

    void
    prelude_hash_destroy (prelude_hash_t *hash);

### prelude_hash_set ()

    int
    prelude_hash_set (prelude_hash_t *hash,
                      void *key,
                      void *value);

### prelude_hash_get ()

    void *
    prelude_hash_get (prelude_hash_t *hash,
                      const void *key);

### prelude_hash_elem_destroy ()

    int
    prelude_hash_elem_destroy (prelude_hash_t *hash,
                               const void *key);

### prelude_hash_iterate ()

    void
    prelude_hash_iterate (prelude_hash_t *hash,
                          void (*cb) (void *data));

## Types and Values

### prelude_hash_t

    typedef struct prelude_hash prelude_hash_t;